Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1651448 - ghc-8.6 haddock-library failed to build on ppc64 and s390x in stage2
Summary: ghc-8.6 haddock-library failed to build on ppc64 and s390x in stage2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc
Version: 28
Hardware: ppc64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2018-11-20 06:27 UTC by Jens Petersen
Modified: 2019-04-10 07:32 UTC (History)
3 users (show)

Fixed In Version: ghc-8.6.4-77.module_f28 ghc-8.6-2820190330091454.9c690d0e ghc-8.6-3020190330091454.a5b0195c ghc-8.6-2920190330091454.6c81f848
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-10 06:34:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 176558 None None None 2019-04-01 07:22:27 UTC

Description Jens Petersen 2018-11-20 06:27:32 UTC
Description of problem:
ghc-8.2.2.ppc64 failed to build ghc-8.6.2 (for ghc:8.6 module) on ppc64
for Fedora 28 Modular.

Upstream bug reported: https://ghc.haskell.org/trac/ghc/ticket/15914

https://koji.fedoraproject.org/koji/taskinfo?taskID=30919315

Version-Release number of selected component (if applicable):
ghc-8.6.2-73.module_2477+224f985b

How reproducible:
100%

Steps to Reproduce:
1. build ghc:8.6 module for F28

Actual results:
:
utils/haddock/haddock-library/src/Documentation/Haddock/Types.hs:99:25: error:
    • GHC internal error: ‘TableRow’ is not in scope during type checking, but it passed the renamer
      tcl_env of environment: [aIy :-> Type variable ‘id’ = id :: k,
                               rHO :-> ATcTyCon Table :: k -> *,
                               rHP :-> APromotionErr RecDataConPE]
    • In the type ‘[TableRow id]’
      In the definition of data constructor ‘Table’
      In the data declaration for ‘Table’
   |
99 |   { tableHeaderRows :: [TableRow id]
   |                         ^^^^^^^^
utils/haddock/dist/build/haddock/autogen/Paths_haddock.hs:41:22: error:
    • Couldn't match type ‘a’ with ‘String’
      Expected type: IO a
        Actual type: IO String
    • In the first argument of ‘catchIO’, namely
        ‘(getEnv "haddock_libdir")’
      In the expression:
        catchIO (getEnv "haddock_libdir") (\ _ -> return libdir)
      In an equation for ‘getLibDir’:
          getLibDir
            = catchIO (getEnv "haddock_libdir") (\ _ -> return libdir)
   |
41 | getLibDir = catchIO (getEnv "haddock_libdir") (\_ -> return libdir)
   |                      ^^^^^^^^^^^^^^^^^^^^^^^
make[1]: *** [utils/haddock/ghc.mk:20: utils/haddock/dist/build/Documentation/Haddock/Types.dyn_o] Error 1

Expected results:
No error

Additional info:
This only happens on ppc64 (not ppc64le etc).

Comment 2 Fedora Update System 2019-03-31 09:44:45 UTC
ghc-8.6-3020190330091454.a5b0195c has been submitted as an update to Fedora 30 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-4e78483146

Comment 3 Fedora Update System 2019-03-31 09:44:49 UTC
ghc-8.6-2920190330091454.6c81f848 has been submitted as an update to Fedora 29 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-9b064be4b3

Comment 4 Fedora Update System 2019-03-31 09:44:54 UTC
ghc-8.6-2820190330091454.9c690d0e has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-da55b0090f

Comment 5 Fedora Update System 2019-03-31 19:48:55 UTC
ghc-8.6-3020190330091454.a5b0195c has been pushed to the Fedora 30 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-4e78483146

Comment 6 Fedora Update System 2019-04-01 02:30:13 UTC
ghc-8.6-2920190330091454.6c81f848 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-9b064be4b3

Comment 7 Fedora Update System 2019-04-01 02:55:47 UTC
ghc-8.6-2820190330091454.9c690d0e has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-da55b0090f

Comment 8 Fedora Update System 2019-04-10 06:34:00 UTC
ghc-8.6-2820190330091454.9c690d0e has been pushed to the Fedora 28 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-10 07:13:00 UTC
ghc-8.6-3020190330091454.a5b0195c has been pushed to the Fedora 30 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-10 07:32:55 UTC
ghc-8.6-2920190330091454.6c81f848 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.